#include <windows.h>
#include <dos.h>
//#include "wbtrv.h"

#ifdef __WATCOMC__
#include <i86.h>
#endif

#define BTR_INT     0x7B		    /* Btrieve interrupt vector */
#define BTR_OFFSET  0x33	       /* Btrieve offset within segment */

int WINAPI WBRQSHELLINIT( HINSTANCE hInst, unsigned RecordLeng);
int WINAPI WBTRVINIT( HINSTANCE hInst, unsigned RecordLeng);
int WINAPI BTRCALL ( int  OP, char far POS_BLK[], char far DATA_BUF[],
		     int far *DATA_LEN, char far KEY_BUF[], int KEY_LEN,
		     int KEY_NUM);
int WINAPI WBTRVSTOP( void);

int InitBtrieve(HINSTANCE hInst, unsigned RecordLeng)
{
//  Requester initialization
//  return WBRQSHELLINIT( hInst, RecordLeng );

//  Record Manager initialization
  return WBTRVINIT( hInst, RecordLeng );
}

int DoneBtrieve()
{
  return WBTRVSTOP();
}

int BTRVCALL ( int  OP, char POS_BLK[], char DATA_BUF[],
	       int *DATA_LEN, char KEY_BUF[], int KEY_NUM, int KEY_LEN)
{
  return BTRCALL( OP, POS_BLK, DATA_BUF, DATA_LEN,
		  KEY_BUF, KEY_LEN, KEY_NUM);
}
